Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6104 - pty allocation leak
Summary: pty allocation leak
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dev
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-19 22:42 UTC by scott.edwards
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-13 22:20:58 UTC


Attachments (Terms of Use)

Description scott.edwards 1999-10-19 22:42:19 UTC
Some program is causing a pty leak which leaves the system
in a state that will no longer allow programs like expect,
screen or normal logins via ssh or telnet to function.

I think the problem lies either in "expect" "autoexpect" or
one of it components.  For the last week or so I have been
experementing with these tools, and eventually got this
error while running an expect script.

The system has no more ptys.  Ask your system administrator
to create more
     While executing ftp
"spawn ftp"
     (file /home/user/bin/ftp-sync.exp" line x)

I tried cycling init states to 1 and back to 3 to see if
that could help resolve the problem.  That did not work.

I asked about this in #linux on efnet, and one other user
mentioned that he gets this error with screen quite often.

Regards - Supaplex

Comment 1 Bill Nottingham 1999-10-20 02:34:59 UTC
Do you have more than 256 login sessions running?

Comment 2 Bill Nottingham 1999-10-20 02:38:59 UTC
What does /dev/pts look like - does it have 256 allocated ptys?

Comment 3 scott.edwards 1999-10-20 03:54:59 UTC
I have never used more then 20 ptys on this system.  My latest kernel
was compiled for support of 64 ptys in relation to that fact.

The directory below /dev/pts is empty.

Comment 4 scott.edwards 1999-10-20 04:28:59 UTC
I have never used more then 20 ptys on this system.  My latest kernel
was compiled for support of 64 ptys in relation to that fact.

The directory below /dev/pts is empty.

Comment 5 Bill Nottingham 1999-10-20 16:27:59 UTC
What does an strace of an affected program look like?

Comment 6 Preston Brown 2000-01-13 22:20:59 UTC
closed due to lack of feedback.


Note You need to log in before you can comment on or make changes to this bug.